API SERVICE
Kubernetes
Manage Kubernetes deployments and Helm charts on edge clusters, with APIs for repositories, secrets, snapshots, and ZKS instances.
START EXPLORING
List all deployments
GET/v1/cluster/instances/kubernetes/deploymentsExplore the parameters and response schema. Sign in from your console to try a request.
Open endpoint58 operations 9 groups
EXPLORE THE SERVICE
Endpoint groups
Expand a group to find an endpoint.
Kubernetes Deployments
Kubernetes Deployments
/v1/cluster/instances/kubernetes/deploymentsGETGet deployment by ID/v1/cluster/instances/kubernetes/deployments/id/{deploymentId}POSTCreate a new Kubernetes deployment/v1/cluster/instances/kubernetes/deploymentsPUTUpdate a deployment/v1/cluster/instances/kubernetes/deployments/id/{deploymentId}DELETEDelete a deployment/v1/cluster/instances/kubernetes/deployments/id/{deploymentId}Kubernetes Git Ops
Kubernetes Git Ops
/v1/cluster/instances/kubernetes/gitreposGETGet GitRepo configuration by ID/v1/cluster/instances/kubernetes/gitrepos/id/{gitrepoId}POSTCreate a new GitRepo configuration/v1/cluster/instances/kubernetes/gitreposPUTUpdate GitRepo configuration/v1/cluster/instances/kubernetes/gitrepos/id/{gitrepoId}DELETEDelete GitRepo configuration/v1/cluster/instances/kubernetes/gitrepos/id/{gitrepoId}Helm Chart Management
Helm Chart Management
/v1/cluster/instances/kubernetes/helm/chartsGETGet Helm Chart/v1/cluster/instances/kubernetes/helm/charts/name/{chartName}/version/{chartVersion}POSTCreate Helm Chart/v1/cluster/instances/kubernetes/helm/chartsPUTUpdate Helm Chart/v1/cluster/instances/kubernetes/helm/charts/name/{chartName}/version/{chartVersion}DELETEDelete Helm Chart/v1/cluster/instances/kubernetes/helm/charts/name/{chartName}Private Helm Repositories
Private Helm Repositories
/v1/cluster/instances/kubernetes/helm/repositoryGETGet private Helm repository by ID/v1/cluster/instances/kubernetes/helm/repository/id/{privateRepoId}GETGet Helm charts from private repository/v1/cluster/instances/kubernetes/helm/repository/id/{privateRepoId}/chartsPOSTCreate a new private Helm repository/v1/cluster/instances/kubernetes/helm/repositoryPUTUpdate private Helm repository/v1/cluster/instances/kubernetes/helm/repository/id/{id}DELETEDelete private Helm repository/v1/cluster/instances/kubernetes/helm/repository/id/{privateRepoId}Kubernetes Secrets
Kubernetes Secrets
Kubernetes Snapshots
Kubernetes Snapshots
/v1/cluster/instances/kubernetes/snapshots/operations/{operationId}GETList etcd snapshots/v1/cluster/instances/kubernetes/snapshots/{clusterId}POSTCreate an etcd snapshot/v1/cluster/instances/kubernetes/snapshots/{clusterId}/createPOSTRestore an etcd snapshot/v1/cluster/instances/kubernetes/snapshots/{clusterId}/{name}/restoreDELETEDelete an etcd snapshot/v1/cluster/instances/kubernetes/snapshots/{clusterId}/{name}Kubernetes Dashboard
Kubernetes Dashboard
/v1/cluster/instances/kubernetes/{clusterId}/cluster-shellGETDownload dashboard kubeconfig/v1/cluster/instances/kubernetes/{clusterId}/kubeconfigGETProxy Kubernetes API request/v1/cluster/instances/kubernetes/{clusterId}/proxy/{path}POSTProxy Kubernetes API request/v1/cluster/instances/kubernetes/{clusterId}/proxy/{path}PUTProxy Kubernetes API request/v1/cluster/instances/kubernetes/{clusterId}/proxy/{path}PATCHProxy Kubernetes API request/v1/cluster/instances/kubernetes/{clusterId}/proxy/{path}DELETEProxy Kubernetes API request/v1/cluster/instances/kubernetes/{clusterId}/proxy/{path}Cluster Groups
Cluster Groups
ZKS instances
ZKS instances
/v1/zks/instancesGETGet ZKS instance by ID/v1/zks/instances/id/{zksId}GETGet ZKS instance by name/v1/zks/instances/name/{zksName}POSTCreate a new ZKS instance/v1/zks/instancesPOSTImport an existing ZKS instance/v1/zks/instances/importPUTBulk update ZKS instances/v1/zks/instancesPUTUpdate ZKS instance/v1/zks/instances/id/{id}PUTUpdate ZKS instance nodes/v1/zks/instances/id/{zksId}/nodesDELETEDelete ZKS instance/v1/zks/instances/id/{zksId}Instance management · Registration · Upgrades and versions · Metrics and status
About this service
About this service
The ZEDEDA Kubernetes Service provides APIs for managing Kubernetes deployments and Helm charts in edge clusters.
API guides